Bug 52596 - Chasing the upgrade op PHP4: updating PEAR- ports.
Summary: Chasing the upgrade op PHP4: updating PEAR- ports.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Norikatsu Shigemura
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-22 23:50 UTC by Thierry Thomas
Modified: 2003-06-08 07:03 UTC (History)
1 user (show)

See Also:


Attachments
pear-ports.uue (9.93 KB, text/plain)
2003-05-22 23:50 UTC, Thierry Thomas
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas 2003-05-22 23:50:15 UTC
	The updated www/mod_php4 and lang/php4 don't install the bundled PEAR
	packages => the pear-* ports are broken.

	- devel/pear-install should be removed;

	- devel/pear-PEAR is used as a common base, with Makefile.common to
	be included;

	- databases/pear-DB and mail/pear-Mail are new ports (previously
	bundled with php4);

	- this PR supersedes PR ports/51478, PR ports/51477, PR ports/51108,
	and PR ports/50737.

	- this PR don't handle all the pear ports => more to come...

Fix: 1) nuke the port devel/pear-install;

	2) please apply the diffs and the shar files included
	in the following tarball.
How-To-Repeat: 	Try to install one of this ports.
Comment 1 Norikatsu Shigemura freebsd_committer 2003-05-23 04:05:01 UTC
State Changed
From-To: open->analyzed

I'll commit after ports freeze. 


Comment 2 Norikatsu Shigemura freebsd_committer 2003-05-23 04:05:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nork

I'll handle this.
Comment 3 Thierry Thomas 2003-05-23 21:26:34 UTC
Le Ven 23 mai 03 à  0:22:21 +0200, Thierry Thomas <thierry@pompo.net>
 écrivait :
> 
> >Number:         52596
> >Category:       ports
> >Synopsis:       Chasing the upgrade op PHP4: updating PEAR- ports.

Oops! I have submitted an erroneous file. Please apply this patch:

--- Makefile.common.diff begins here ---
--- devel/pear-PEAR/Makefile.common.orig	Thu May 22 21:15:55 2003
+++ devel/pear-PEAR/Makefile.common	Fri May 23 22:19:42 2003
@@ -25,15 +25,15 @@
 DOCSDIR=	${PEARDIR}/docs/${PORTNAME}
 
 pre-install:
-.if exists(${LOCALBASE}/lib/php.DIST_PHP)
-	|| exists(${PHP_BASE}/lib/php.DIST_PHP)
-	|| exists(${LOCALBASE}/.PEAR.pkg)
+.if exists(${LOCALBASE}/lib/php.DIST_PHP)	\
+	|| exists(${PHP_BASE}/lib/php.DIST_PHP)	\
+	|| exists(${LOCALBASE}/.PEAR.pkg)	\
 	|| exists(${PHP_BASE}/.PEAR.pkg)
-	${ECHO_MSG} ""
-	${ECHO_MSG} "	Sorry, the PEAR structure has been modified;"
-	${ECHO_MSG} "	Please deinstall your installed pear- ports."
-	${ECHO_MSG} ""
-	${FALSE}
+	@${ECHO_MSG} ""
+	@${ECHO_MSG} "	Sorry, the PEAR structure has been modified;"
+	@${ECHO_MSG} "	Please deinstall your installed pear- ports."
+	@${ECHO_MSG} ""
+	@${FALSE}
 .endif
 
 post-install:
--- Makefile.common.diff ends here ---

With my apologies,
-- 
Th. Thomas.
Comment 4 Thierry Thomas 2003-05-24 00:05:41 UTC
Le Ven 23 mai 03 à  0:22:21 +0200, Thierry Thomas <thierry@pompo.net>
 écrivait :
> 
> >Number:         52596
> >Category:       ports
> >Synopsis:       Chasing the upgrade op PHP4: updating PEAR- ports.

Yet another mistake in my original PR: net/pear-Net_Socket builds, but
it breaks the index. Please apply this patch:


--- pear-Net_Socket::Makefile.diff begins here ---
--- net/pear-Net_Socket/Makefile.orig	Thu May 22 22:44:06 2003
+++ net/pear-Net_Socket/Makefile	Sat May 24 00:49:34 2003
@@ -13,7 +13,7 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	PEAR Network Socket Interface
 
-BUILD_DEPENDS=	${PEARDIR}/PEAR.php:${PORTSDIR}/devel/pear
+BUILD_DEPENDS=	${PEARDIR}/PEAR.php:${PORTSDIR}/devel/pear-PEAR
 RUN_DEPENDS=	${BUILD_DEPENDS}
 
 .include <bsd.port.pre.mk>
--- pear-Net_Socket::Makefile.diff ends here ---

Best regards,
-- 
Th. Thomas.
Comment 5 Norikatsu Shigemura freebsd_committer 2003-06-08 07:02:54 UTC
State Changed
From-To: analyzed->closed

Committed, thanks!